# Tools

Tools allowing to keep sans.pub up-to-date and automate common recurring actions.

## `captain-update.mjs`

Allow to generate a report of all versions of applications deployed on sans.pub, with the current status of each application and whether they need an update or not.

It can serve as a base for a changelog entry, and as a TODO list for updating applications.

Example:
```shell
CAPTAIN_DOMAIN=xxxx CAPTAIN_PASSWORD='yyy' ./captain-update.mjs > /path/to/site/src/changelog/2023-05-08.md
```

### TODO

- [ ] try to update applications automatically from a prompt