import DomainEvent from "./DomainEvent";
import DomainProjection from "./DomainProjection";

export default interface EventStore {
  append(event: DomainEvent<any>): void;
  subscribe(projection: DomainProjection): void;
  replay(): Promise<void>;
}
