import DomainEvent from "../DomainEvent";

type ApplicationUpdateStartedPayload = {
  id: string;
  newVersion: string;
};

export class ApplicationUpdateStarted
  implements DomainEvent<ApplicationUpdateStartedPayload>
{
  readonly type = "ApplicationUpdateStarted" as const;
  constructor(
    public readonly payload: ApplicationUpdateStartedPayload,
    public readonly createdAt: Date
  ) {}
}
